Subject: Re: [PATCH/RFC] ata: Add support for the MPC52xx ATA controller using libata

From: Jeff Garzik <[email-masked]>
Date: Fri, 17 Nov 2006 17:41:02 -0500

Sylvain Munaut wrote:
> Since the current libata doesn't really support overriding IO accessors,
> I'd keep it like
> that for now. Apparently some other architecture needs special IO stuff
> so we could see
> a way to hook io accessor soon, and then we can change it if we notice
> big problems.

Sure it does...  there are no individual outb etc. hooks, but you can 
override every available bitbang function.  This is intentional, so that 
arches have more power to control when and how a set of registers is 
blasted to the hardware.

	Jeff